MeUser's Vault

User's Vault

Returns the Vault whose groups the user belongs to, with the routes structure (enabled variants only). If there are memberships in several Vaults, the first one found is returned (MVP: we assume a user is in one Vault). Used by the user's landing page.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/me/vault" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": "cmr3f41z20001psp7phmyapw3",
  "code": "example_string",
  "name": "John Doe",
  "description": "example_string",
  "walletServiceUrl": "example_string",
  "lockedAt": "2026-07-02T11:25:15.134000Z",
  "networks": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "coinType": 195,
      "code": "tron_network",
      "name": "Tron"
    }
  ],
  "routes": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "vaultId": "example_string",
      "order": 0,
      "code": "purpose",
      "name": "John Doe",
      "description": "example_string",
      "dynamic": true,
      "createdAt": "2026-07-02T11:25:15.134000Z",
      "updatedAt": "2026-07-02T11:25:15.134000Z",
      "variants": [
        {
          "id": "cmr3f41z20001psp7phmyapw3",
          "routeId": "example_string",
          "pathId": 1,
          "code": "usdt",
          "name": "John Doe",
          "description": "example_string",
          "enabled": true,
          "tokenId": "example_string",
          "createdAt": "2026-07-02T11:25:15.134000Z",
          "updatedAt": "2026-07-02T11:25:15.134000Z"
        }
      ]
    }
  ]
}
GET
/api/v1/me/vault
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Responses

idstring
Required

cuid

codestring
Required
namestring
Required
descriptionstring
Required
walletServiceUrlstring
Required
lockedAtstring
Required
networksarray
Required
routesarray
Required

Enabled variants only